-- 健康检查任务索引
EXEC P_ALTERPK 'PK_T_RICC_CONFIG_CHECKTASK', 'T_RICC_CONFIG_CHECKTASK', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIG_CHECKTASK_FBILLNO') CREATE INDEX IDX_RICC_CONFIG_CHECKTASK_FBILLNO ON T_RICC_CONFIG_CHECKTASK ( FBILLNO );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIG_CHECKTASK_FNAME') CREATE INDEX IDX_RICC_CONFIG_CHECKTASK_FNAME ON T_RICC_CONFIG_CHECKTASK ( FNAME );

-- 健康检查任务--待检查的配置项索引
EXEC P_ALTERPK 'PK_T_RICC_CONFIGCHECK_CONFIG', 'T_RICC_CONFIGCHECK_CONFIG', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIGCHECK_CONFIG_FID') CREATE INDEX IDX_RICC_CONFIGCHECK_CONFIG_FID ON T_RICC_CONFIGCHECK_CONFIG ( FID );

-- 任务配置分录索引
EXEC P_ALTERPK 'PK_T_RICC_CONFIGCHECK_ITEMS', 'T_RICC_CONFIGCHECK_ITEMS', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIGCHECK_ITEMS_FID') CREATE INDEX IDX_RICC_CONFIGCHECK_ITEMS_FID ON T_RICC_CONFIGCHECK_ITEMS ( FID );

-- 排除的配置项索引
EXEC P_ALTERPK 'PK_T_RICC_CHECK_EXTCONFIGS', 'T_RICC_CHECK_EXTCONFIGS', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CHECK_EXTCONFIGS_FENTRYID') CREATE INDEX IDX_RICC_CHECK_EXTCONFIGS_FENTRYID ON T_RICC_CHECK_EXTCONFIGS ( FENTRYID );

-- 日志分录索引
EXEC P_ALTERPK 'PK_T_RICC_CONFIGCHECKLOGS', 'T_RICC_CONFIGCHECKLOGS', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIGCHECKLOGS_FID') CREATE INDEX IDX_RICC_CONFIGCHECKLOGS_FID ON T_RICC_CONFIGCHECKLOGS ( FID );

-- 检查项索引
EXEC P_ALTERPK 'PK_T_RICC_CHECKITEM', 'T_RICC_CHECKITEM', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CHECKITEM_FNUMBER') CREATE INDEX IDX_RICC_CHECKITEM_FNUMBER ON T_RICC_CHECKITEM ( FNUMBER );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CHECKITEM_FNAME') CREATE INDEX IDX_RICC_CHECKITEM_FNAME ON T_RICC_CHECKITEM ( FNAME );

-- 检查项多语言索引
EXEC P_ALTERPK 'PK_T_RICC_CHECKITEM_L', 'T_RICC_CHECKITEM_L', 'FPKID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CHECKITEM_L_FID') CREATE INDEX IDX_RICC_CHECKITEM_L_FID ON T_RICC_CHECKITEM_L ( FID ,FLOCALEID );